@import "../../vars";

.summaryBox {
  border: 1px solid #c6c6c5;
  display: flex;
  flex-direction: column;
  margin: 0 30px;
  padding: 20px;

  @media (min-width: $viewportMedium) {
    padding: 0;
    flex-direction: row;
  }
}

.leftSide {
  border-bottom: 1px solid #c6c6c5;

  @media (min-width: $viewportMedium) {
    border-bottom: 0;
    border-right: 1px solid #c6c6c5;
    margin: 20px 0;
    min-width: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

.rightSide {
  @media (min-width: $viewportMedium) {
    width: 100%;
    margin: 30px;
  }
}

.rightSideTop {
  border-bottom: 1px solid #c6c6c5;
  padding-bottom: 20px;
}

.rightSideBottom {
  margin-top: 28px;
}

.item {
  display: flex;
  align-items: center;
  justify-content: space-between;

  &.first {
    margin: 12px 0;
  }

  @media (min-width: $viewportMedium) {
    &.first {
      margin-bottom: 12px;
    }
  }
}

.title {
  margin: 0;
  font-size: 16px;
  font-family: $fontBold;

  @media (min-width: $viewportMedium) {
    font-size: 18px;
  }
}

.text {
  color: #3c3c3b;
  margin: 0;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
  letter-spacing: 0;

  @media (min-width: $viewportMedium) {
    font-size: 18px;
    line-height: 24px;
  }
}

.viewBookingsMobile {
  text-align: right;
  font-size: 16px;
  text-decoration: underline;

  @media (min-width: $viewportMedium) {
    display: none;
  }
}

.viewBookingsDesktop {
  display: none;

  @media (min-width: $viewportMedium) {
    display: block;
  }
}

.bookingDate {
  display: flex;
  flex-direction: row;

  @media (min-width: $viewportMedium) {
    flex-direction: column;
    text-align: center;
  }
}

.bookingDateDay {
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 13px;
  font-size: 64px;
  line-height: 56px;

  @media (min-width: $viewportMedium) {
    margin: 0 0 24px;
  }
}

.bookingDateMonth {
  font-size: 24px;
  margin: 0;

  @media (min-width: $viewportMedium) {
    font-size: 18px;
    margin-top: 8px;
    margin-bottom: 8px;
    position: relative;

    &::after {
      position: absolute;
      content: "";
      top: calc(100% + 10px);
      left: 25%;
      width: 32px;
      height: 1px;
      background-color: #c6c6c5;
    }
  }
}

.bookingInfo {
  display: flex;
  flex-flow: column;
  align-items: stretch;

  @media (min-width: $viewportMedium) {
    flex-flow: row;
    align-items: center;
  }
}

.bookingEnd,
.bookingStart {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;

  @media (min-width: $viewportMedium) {
    flex-flow: column;
  }
}

.bookingStart {
  & .bookingText {
    text-align: right;
  }

  @media (min-width: $viewportMedium) {
    align-items: flex-start;
    text-align: left;

    & .bookingText {
      text-align: left;
    }
  }
}

.bookingEnd {
  & .bookingText {
    text-align: right;
  }

  @media (min-width: $viewportMedium) {
    align-items: flex-end;
  }
}
